package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Nct;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface NctMapper {

    int insert(Nct record);

    int insertSelective(Nct record);

    int updateByPrimaryKeySelective(Nct record);

    int updateByPrimaryKey(Nct record);

    int deleteByPrimaryKey(Nct record);

    int deleteByIds(Collection<Object> collection);

    Nct selectByPrimaryKey(Nct record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Nct> dyncRead(Map<String, Object> dyncMap);

}